SystemOrganization addCategory: #'TP1-LSD-Inc'!

Trait named: #TConsumoImagen
	uses: {}
	category: 'TP1-LSD-Inc'!

!TConsumoImagen methodsFor: 'as yet unclassified' stamp: 'MarChU 4/10/2013 05:47'!
consumo
	^ self wattsPorHora * self tamanio! !

!TConsumoImagen methodsFor: 'as yet unclassified' stamp: 'MarChU 4/10/2013 05:46'!
tamanio
	self requiredMethods! !

!TConsumoImagen methodsFor: 'as yet unclassified' stamp: 'MarChU 4/10/2013 03:43'!
wattsPorHora
	self requiredMethods! !

Trait named: #TImagenAnalogica
	uses: TConsumoImagen
	category: 'TP1-LSD-Inc'!

TImagenAnalogica classTrait
	uses: TConsumoImagen classTrait!

!TImagenAnalogica methodsFor: 'as yet unclassified' stamp: 'MarChU 4/10/2013 03:53'!
definicionMaxima
	^ 480! !

Trait named: #TImagenDigital
	uses: TConsumoImagen
	category: 'TP1-LSD-Inc'!

TImagenDigital classTrait
	uses: TConsumoImagen classTrait!

!TImagenDigital methodsFor: 'as yet unclassified' stamp: 'MarChU 4/10/2013 03:51'!
definicionMaxima
	^ self ppp * ( ( self tamanio squared / 2 ) raisedTo: 0.5 )! !

!TImagenDigital methodsFor: 'as yet unclassified' stamp: 'MarChU 4/10/2013 03:46'!
ppp
	self requiredMethods! !

Object subclass: #Pantalla
	instanceVariableNames: 'entrada refresco tecnologia'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc'!

!Pantalla class methodsFor: 'as yet unclassified' stamp: 'MarChU 4/10/2013 08:25'!
newMonitorConTecnologia: tecnologiaDeImagen
	| instance |
	instance := Pantalla new.
	instance tecnologia: tecnologiaDeImagen.
	instance refresco: 120.
	^ instance! !

!Pantalla class methodsFor: 'as yet unclassified' stamp: 'MarChU 4/10/2013 08:29'!
newSmartTVDeTamanio: tamanio PPP: ppp
	| instance |
	instance := Pantalla new.
	instance tecnologia: TecnologiaDeImagen newTecnologiaLEDDeTamanio: tamanio PPP: ppp.
	instance refresco: 135.
	^ instance! !

!Pantalla class methodsFor: 'as yet unclassified' stamp: 'MarChU 4/10/2013 08:24'!
newTVConTecnologia: tecnologiaDeImagen
	| instance |
	instance := Pantalla new.
	instance tecnologia: tecnologiaDeImagen.
	instance refresco: 90.
	^ instance! !

!Pantalla methodsFor: 'accessing' stamp: 'MarChU 4/10/2013 08:30'!
consumo
	self shouldBeImplemented! !

!Pantalla methodsFor: 'accessing' stamp: 'MarChU 4/10/2013 06:29'!
refresco
	^ refresco! !

!Pantalla methodsFor: 'accessing' stamp: 'MarChU 4/10/2013 06:06'!
tecnologia
	^ tecnologia! !

Object subclass: #TecnologiaDeImagen
	instanceVariableNames: 'tamanio'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc'!

TecnologiaDeImagen subclass: #CRT
	uses: TImagenAnalogica
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc'!

CRT class
	uses: TImagenAnalogica classTrait
	instanceVariableNames: ''!

!CRT methodsFor: 'as yet unclassified' stamp: 'MarChU 4/10/2013 03:34'!
wattsPorHora
	^ 5! !

TecnologiaDeImagen subclass: #LCD
	uses: TImagenDigital
	instanceVariableNames: 'ppp'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc'!

LCD class
	uses: TImagenDigital classTrait
	instanceVariableNames: ''!

!LCD methodsFor: 'accessing' stamp: 'MarChU 4/10/2013 03:38'!
ppp
	^ ppp! !

!LCD methodsFor: 'accessing' stamp: 'MarChU 4/10/2013 03:38'!
ppp: anObject
	ppp := anObject! !

!LCD methodsFor: 'as yet unclassified' stamp: 'MarChU 4/10/2013 03:36'!
wattsPorHora
	^ 4! !

TecnologiaDeImagen subclass: #LED
	uses: TImagenDigital
	instanceVariableNames: 'ppp'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc'!

LED class
	uses: TImagenDigital classTrait
	instanceVariableNames: ''!

!LED methodsFor: 'accessing' stamp: 'MarChU 4/10/2013 03:38'!
ppp
	^ ppp! !

!LED methodsFor: 'accessing' stamp: 'MarChU 4/10/2013 03:38'!
ppp: anObject
	ppp := anObject! !

!LED methodsFor: 'as yet unclassified' stamp: 'MarChU 4/10/2013 03:36'!
wattsPorHora
	^ 1! !

!TecnologiaDeImagen class methodsFor: 'as yet unclassified' stamp: 'MarChU 4/10/2013 06:20'!
newTecnologiaCRTDeTamanio: tamanio
	| instance |
	instance := CRT new.
	instance tamanio: tamanio.
	^ instance
	! !

!TecnologiaDeImagen class methodsFor: 'as yet unclassified' stamp: 'MarChU 4/10/2013 06:21'!
newTecnologiaLCDDeTamanio: tamanio PPP: ppp
	| instance |
	instance := LCD new.
	instance tamanio: tamanio.
	instance ppp: ppp.
	^ instance
	! !

!TecnologiaDeImagen class methodsFor: 'as yet unclassified' stamp: 'MarChU 4/10/2013 06:22'!
newTecnologiaLEDDeTamanio: tamanio PPP: ppp
	| instance |
	instance := LED new.
	instance tamanio: tamanio.
	instance ppp: ppp.
	^ instance
	! !

!TecnologiaDeImagen methodsFor: 'accessing' stamp: 'MarChU 4/10/2013 05:46'!
tamanio
	^ tamanio! !

!TecnologiaDeImagen methodsFor: 'accessing' stamp: 'MarChU 4/10/2013 05:46'!
tamanio: anObject
	tamanio := anObject! !

!TecnologiaDeImagen methodsFor: 'as yet unclassified' stamp: 'MarChU 4/10/2013 03:30'!
wattsPorHora
	^ self subclassResponsibility! !
